Workspace - Application
Add Application
Add an application into the workspace.
POST
/
v2
/
workspaces
/
applications
Add Application
curl --request POST \
--url https://api.squarecloud.app/v2/workspaces/applications \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"appId": "<string>"
}
'import requests
url = "https://api.squarecloud.app/v2/workspaces/applications"
payload = {
"workspaceId": "<string>",
"appId": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({workspaceId: '<string>', appId: '<string>'})
};
fetch('https://api.squarecloud.app/v2/workspaces/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}
string
required
The API key for your account. You can find this in your account settings.
Parameters
string
The ID of the workspace.
string
The ID of the application. You can find this in the URL of your application’s dashboard.
Response
string
Indicates whether the call was successful..
success if successful, error if not.{
"status": "success"
}
Common errors
| Code | HTTP | Meaning |
|---|---|---|
INVALID_ID | 400 | workspaceId is missing. |
APP_NOT_FOUND | 400 | appId is missing from the request body. |
APP_NOT_FOUND | 404 | No application with that ID exists for the caller. |
WORKSPACE_NOT_FOUND | 404 | The workspace does not exist or is not owned by the caller. |
APPLICATIONS_LIMIT_REACHED | 400 | The workspace already has 100 shared applications. |
APP_ALREADY_IN_WORKSPACE | 400 | The application is already shared into this workspace. |
⌘I
Add Application

